/*******************************************************************************
Distribution of Baseline Raskin Price Markup
1Data/dofiles/analysis/fig_price_dispersion.do

Produces a graph showing the dispersion of per-kilogram Raskin prices.
*******************************************************************************/

** SETUP AND MACROS ************************************************************
clear all
set more off

cd "$RASKIN"
	
** FIGURE **********************************************************************

u "1Data/codeddata/competition/endmidcs1.dta", clear
la var markup_hh_f "Price Markup (Rp/kg)"
summ markup_hh_f, d
replace markup_hh_f = . if markup_hh_f>`r(p99)'

hist markup_hh_f, freq ///
	xlabel(0(250)2500) ///
	ylabel(0(200)1400) ///
	lcolor(black) fcolor(edkblue)
	
graph export "$RASKIN_FIGURES/appendixfigure1_markup_dispersion.eps",replace
