/*******************************************************************************
Winning Price Markup, By Baseline Price Markup
1Data/dofiles/analysis/fig_winning_price.do

Scatter plot where y-axis is winning price, X-axis is baseline price (draw in regression line)
*******************************************************************************/

** SETUP AND MACROS *******************************************************

clear all
set more off

cd "$RASKIN"

****************************
* 1. Input data 
****************************

u "1Data/codeddata/competition/bidders", clear
keep if winner==1
isid commid

merge 1:1 hhea using "1Data/codeddata/competition/treatments.dta"
drop if _m!=3
drop _m

merge 1:m hhea using "1Data/codeddata/competition/endmidcs1"
keep hhea tr_dist markup_dist markup_hhea_f 
keep if tr_dist==1
duplicates drop 

tempfile prices
sa `prices'

****************************
* 2. Output Figure
****************************

u `prices', clear

graph twoway (line markup_hhea_f markup_hhea_f) ///
	(scatter markup_dist markup_hhea_f), ///
	ytitle(Price markup (Rp/kg) proposed by winning bidder) ///
	xtitle(Baseline markup (Rp/kg) in locality) ///
	legend(off)
graph export "$RASKIN_FIGURES/appendixfigure4_winning_markup_by_baseline.eps", replace


