/*******************************************************************************
Number of Localities Randomly Assigned to Each Treatment
1Data/dofiles/analysis/descriptive.do

Tables showing the count of villages per treatment and surveys per treatment
*******************************************************************************/

** SETUP AND MACROS *******************************************************
clear all
set more off

cd "$RASKIN"

** Number of villages per treatment and subtreatments **************************
u "1Data/codeddata/competition/treatments.dta", clear

collapse (sum) tr_dist tr_moni tr_ctl tr_minbids tr_nomin
set obs 5
foreach var of varlist _all {
	quietly sum `var'
	local `var'_sum = `r(sum)'
	forv i=2/5 {
		replace `var' = ``var'_sum' in `i'
	}
}
	
foreach var of varlist _all{
	tostring `var', replace
}

gen treatment = ""
gen total = ""
gen subt = ""
gen subt_n = ""
order treatment total subt subt_n

replace treatment = "Control" in 2
replace treatment = "Bidding" in 3
replace treatment = "Information" in 5

replace total = "Villages per Condition" in 1
replace total = tr_ctl in 2
replace total = tr_dist in 3
replace total = tr_moni in 5

replace subt = "Min # of bids" in 3
replace subt = "Open Bids" in 4

replace subt_n = "Villages per Subtreatment" in 1
replace subt_n = tr_minbids in 3
replace subt_n = tr_nomin in 4

keep treatment-subt_n
keep in 2/l

** Export to excel **************************************************

local outfile "$RASKIN_TABLES/appendixtable3.descriptive"

export excel "`outfile'", ///
	sheet("treat_villages") sheetrep

	  
	  
