**********************************************
**********************************************
* Find out family from baseline survey and match back to midline
**********************************************
**********************************************

clear all

set more off
set mem 250m
set matsize 800
pause off
set seed 5757
set sortseed 5757

cd "$RASKIN"

*******************************************************
*******************************************************
*******************************************************

* get midline to _sm crosswalk           ***************************************
u "1Data/originaldata/2_Midline/crosswalk_midline_all.dta"
duplicates drop hhid_sm, force
keep hhid_midline hhid_sm 
tempfile cross
sa `cross'


**** get family relations ******************************************************
use "1Data/originaldata/TargetingIIData/Baseline/hh_cr01.dta",clear
g temp = substr(hhid,1,3)
replace cr01_hhid= temp + cr01_hhid
drop temp
rename hhid hhid_sm
	
merge m:1 hhid_sm using `cross' 
keep if _m==3
drop _m
	
rename hhid_sm hhid_r_sm
rename hhid_midline hhid_r_mid
order hhid_r_mid, a(hhid_r_sm)

rename cr01_hhid hhid_sm

merge m:1 hhid_sm using `cross'
keep if _m==3
rename hhid_sm 		hhid_t_sm
rename hhid_midline hhid_t_mid
drop _m
tempfile family
sa `family'

pause 5652 family relations using hhid_midline (14000 total)

**** get midline respondent beliefs about Raskin status of other hhds    *******
u "1Data/originaldata/2_Midline/hh_sw4.dta", clear

g temp = substr(hhid,1,3)
replace sw03_hhid = temp+sw03_hhid
rename hhid 		hhid_r_mid  //respondent
rename sw03_hhid 	hhid_t_mid  // target
drop temp
	
merge 1:1 hhid_r_mid hhid_t_mid using `family'
keep if _m!=2
keep hhid_r_mid hhid_t_mid  cr01_rel

***** Save *********************************************************************
saveold "1Data/codeddata/cards_paper/paper/beliefs_family.dta", replace
