**********************************************
**********************************************
* Card receipt and use
**********************************************
**********************************************

clear all

set more off
set mem 250m
set matsize 800
pause off
set seed 5757
set sortseed 5757

cd "$RASKIN"

************************************
*********** 1. Input data
************************************

u "1Data/codeddata/cards_paper/beneficiaries and randomization.dta", clear
merge 1:1 hhid using "1Data/originaldata/1_CS1/NewUpdate/hh_rc.dta"
count if _m!=3
assert `r(N)'<=1	// there was one case of an unfinished interview
pause
keep if _m==3
drop _m
merge 1:1 hhid using "1Data/originaldata/1_CS1/NewUpdate/hh_b1.dta"
count if _m!=3
assert `r(N)'<=1	// there was one case of an unfinished interview
pause
keep if _m==3
drop _m
merge 1:1 hhid using "1Data/codeddata/cards_paper/bought_s.dta"
count if _m!=3
assert `r(N)'<=1
pause
keep if _m==3
drop _m

************************************
*********** 2. Coding
************************************

* outcome 1a: got card
g gotcard = (rc01==1)
la var gotcard "Raskin card receipt"

* outcome 1b: got card and is green
g gotcard_gr = ((gotcard==1) & ((rc03a==3)|(rc03a==4)))
la var gotcard_gr "Receipt of blue/green raskin card"

/* NOW IN LEAKAGES AND TARGETING WITH CORRECT USABILITY RESTRICTION
	Imported via merge with "1Data/codeddata/cards_paper/bought_s.dta"
outcome 2: last bought since october
*/

* outcome 3a: used raskin card
g usedcard = (bought_s_oct==1) & b18==1
la var usedcard "Used raskin card"

* outcome 3b: used blue/green raskin card
g usedcard_gr = usedcard==1 & (b19==3 | b19==4)
la var usedcard_gr "Used blue or green raskin card"

* outcome 4: used coupon
g usedcoup = (bought_s_oct==1 & b20==1)
la var usedcoup "Used raskin coupon"


****************************
* 3. Clean up and save
****************************

drop rc01-b19
drop bought_s_oct //kept in leakagesandtargeting.dta
saveold "1Data/codeddata/cards_paper/cardreceipt.dta", replace
