**********************************************
**********************************************
* Card receipt and use
**********************************************
**********************************************

clear all

set more off
set mem 250m
set matsize 800
pause off
set seed 5757
set sortseed 5757

cd "$RASKIN"

************************************
*********** 1. Input data
************************************

u "1Data/codeddata/cards_paper/midline/beneficiaries_and_randomization_mid.dta", clear
merge 1:1 hhid using "1Data/originaldata/2_Midline/hh_rc.dta"
assert _m==3
drop _m

merge 1:1 hhid using "1Data/originaldata/2_Midline/hh_b1.dta"
assert _m==3
drop _m

merge 1:1 hhid using "1Data/codeddata/cards_paper/midline/bought_s.dta"
assert _m==3
drop _m

************************************
*********** 2. Coding
************************************

* outcome 1a: got card
g gotcard = (rc01==1)
la var gotcard "Raskin card receipt"

* outcome 1b: got card and is green
g gotcard_gr = ((gotcard==1) & ((rc03a==3)|(rc03a==4)))
la var gotcard_gr "Receipt of blue/green raskin card"

/* NOW IN LEAKAGES AND TARGETING WITH CORRECT USABILITY RESTRICTION */
* outcome 2: last bought since january 2013

* outcome 3a: used raskin card
g usedcard = (bought_s_jan==1) & b18==1
la var usedcard "Used raskin card"

g usedcard_mar = (bought_s_mar==1) & b18==1
la var usedcard_mar "Used raskin card (since March)"

* outcome 3b: used blue/green raskin card
g usedcard_gr = usedcard==1 & (b19==3 | b19==4)
la var usedcard_gr "Used blue or green raskin card"

* outcome 4: used coupon
g usedcoup_mar = (bought_s_mar==1 & b20==1)
la var usedcoup_mar "Used raskin coupon (since March)"

g usedcoup = (bought_s_jan==1 & b20==1)
la var usedcoup "Used raskin coupon"


****************************
* 3. Clean up and save
****************************

drop rc01-b21
drop bought_s_jan bought_s_mar //kept in leakagesandtargeting.dta

saveold "1Data/codeddata/cards_paper/midline/cardreceipt_mid.dta", replace
