/*******************************************************************************
TREATMENTS
1Data/dofiles/prep/treatments_prep.do

SUMMARY: 
	Prepare the treatment variables for bidding and information treatments, 
	so they can be easily accessed and merged on when needed.
OUTLINE:
NOTES:
*******************************************************************************/

** SETUP AND MACROS *******************************************************
clear all

set more off

** DIRECTORIES
cd "$RASKIN"

** TREATMENTS_PREP *************************************************************

//load in data
use "1Data/originaldata/0_Randomization/130405 final randomization"

** DEFINE TREATMENTS 

//make sure not empty
assert TR2_2013 != .
//generate dummies
gen tr_any = TR2_2013 > 1
la var tr_any "Any treatment"
gen tr_ctl = TR2_2013 == 1
la var tr_ctl "Control (competition)"
gen tr_dist = TR2_2013 == 2
la var tr_dist "Bidding treatment"
gen tr_moni = TR2_2013 == 3
la var tr_moni "Information treatment"
gen tr_minbids = TR2a == 1
la var tr_minbids "Min # Bids"
gen tr_nomin = TR2a == 0 & tr_dist == 1
la var tr_nomin "Open Bids"

//generate another village variable
gen hhea = desa_id2

** SAVE FINAL DATA SET. ********************************************************
saveold "1Data/codeddata/competition/treatments.dta", replace


exit


